.HomeSatellite
{
	animation:
		SatelliteAcross 20s linear infinite,
		SatelliteFloat 4s ease-in-out infinite;

	animation-composition: add;
}

@keyframes SatelliteAcross
{
	0% { transform: translateX(-100%); }
	100% { transform: translateX(100vw); }
}

@keyframes SatelliteFloat
{
	0% { transform: translateY(10%); }
	50% { transform: translateY(-10%); }
	100% { transform: translateY(10%); }
}


.HomeContent
{
	display: flex;
	flex-direction: column;
	justify-content: center;

	overflow: hidden;

	min-width: 0;


	border: 10px solid transparent;
	border-radius: 10px;

	background:
			linear-gradient(white, white) padding-box,
			linear-gradient(to bottom right, white, gray) border-box;
}

.HomeContent .ElementTitle
{
	border: 4px solid transparent;
	border-radius: 10px;

	margin: 4px;

	background: linear-gradient(to bottom right, white, gray) border-box;
}

.HomeContent iframe
{
	border: none !important;
	outline: none;
	display: block;
}


.Announcement
{
	border: 4px solid black;
	border-radius: 10px;

	margin: 4px;
	padding: 10px;
}